
D4Science Infrastructure - VM Creation #9873

Smart Gear VM on developent infrastructure for testing new SDMX data source

Oct 02, 2017 04:13 PM - Ciro Formisano

Status: Closed Start date: Oct 02, 2017

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Target version: SDMX-Data Export   

Infrastructure: Development Applications list and

version:

 

RAM: 3 Applications context

path:

sdmxdatasource

CPU: 2 External storage data

disk:

 

DiskSpace: 10 Smartgears auth

connector:

 

Smartgears: Yes data transfer

enabled:

No

Smartgears Version:  PostgreSQL

database:

No

Application

Instructions:

 Number of VMs: 1

Smartgears scopes: /gcube/devNext

/gcube/devNext/NextNext

  

Description

I need a SmartGear instance in dev environment to deploy an SDMX datasorce.  Eventually the new service will be deployed on the

same instance hosting TabMan, but for the first test I would prefer a dedicated one, even if it will be available only for a limited

amount of time (one month /one month and half should be enough).

I don't have any specific request for the features, so I will leave the default settings for the request.

Related issues:

Copied to D4Science Infrastructure - VM Creation #11001: Provide new VM for h... Closed Jan 23, 2018

History

#1 - Oct 04, 2017 02:22 PM - Andrea Dell'Amico

- Status changed from New to In Progress

- RAM changed from 2 to 3

hostname and IP address are going to be: sdmx-datasource-d.dev.d4science.org 146.48.123.52

#2 - Oct 04, 2017 02:48 PM - Andrea Dell'Amico

The scopes are missing and the application context path too. I need them to correctly provision smartgears and the reverse proxy.

Then you'll be able to install your application.

#3 - Oct 04, 2017 03:06 PM - Ciro Formisano

- Smartgears scopes updated

- Applications context path updated

#4 - Oct 04, 2017 03:52 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

The VM is ready. You have ssh access, your application will be available as http(s)://sdmx-datasource-d.dev.d4science.org/sdmxdatasource

A valid ssl certificate will be emitted in the next days.
#5 - Oct 04, 2017 05:20 PM - Ciro Formisano

- Status changed from Feedback to Closed

I can access the VM, thanks

#6 - Jan 22, 2018 03:37 PM - Roberto Cirillo

- Copied to VM Creation #11001: Provide new VM for hosting the sdmx-datasource service added
